@font-face {
    font-family: Fantome;
    src: url("./assets/font/Fantome-Regular.otf");
}
@font-face {
    font-family: Eunomia;
    src: url("./assets/font/Eunomia-Light.otf");
}
@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100;200;300;400;500;600;700;800;900&family=Poppins:wght@700;800;900&display=swap');
* {
    padding: 0; 
    margin: 0; 
    text-decoration: 0; 
    list-style-type: none;
    font-family: "Outfit", sans-serif;
    scroll-behavior: smooth;
}
:root {
    --width: 100px
}
body {
    height: 100vh;
    width: 100vw;
    background: #161433;    
    overflow-x: hidden;
}
.side {
    position: fixed;
    height: 100%;
    width: 8vw;
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 1fr 3fr 5fr;
    place-items: center start;
    z-index: 100;
    overflow: hidden;
    $w: 50%;
    $d: 25%;
    &__hamburger {
        grid-area: 1 / 1 / 1/ 2;
        width: $w;
        margin-left: 20%;
        opacity: 1;
        transform: translateX(0);
        transition: all .3s ease;
        cursor: pointer;
        &.active {
            opacity: 0;
            transform: translateX(10%);
        }
    }
    &__arrow {
        grid-area: 1 / 1 / 1/ 2;
        width: $w;
        margin-left: 20%;
        opacity: 0;
        transform: translateX(-10%);;    
        transition: all .3s ease;
        cursor: pointer;
        &.active {
            opacity: 1;
            transform: translateX(0%);
        }
    }
    &__title {
        height: 90%;
        place-self: center start;
        margin-left: 20%;
    }
    &__scrollbar {
        position: relative;
        place-self: center start;
        height: 90%;
        width: 2px;
        margin-left: $d;
        &__thumb {
            position: absolute;
            opacity: 1;
            width: 100%;
            height: 30%;
            background: #f1f1f1;
        }
        &__bg {
            position: absolute;
            opacity: .3;
            width: 100%;
            height: 100%;
            background: #f1f1f1;
        }
    }
}
.menu {
    position: fixed;
    height: 100%;
    width: 60%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    z-index: 50;
    transform: translateX(-100%);
    transition: all .6s ease;
    opacity: 0;
    &__donation {
        position: absolute;
        top: 5%;
        right: 20%;
        width: 8vw;
        aspect-ratio: 1;
        animation: don 1s ease-in-out infinite alternate;
    }
    & .anchor {
        height: 85%;
        margin-left: 20%;
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        &__a {
            display: flex;
            align-items: flex-end;
            font-family: "Fantome", serif;
            font-size: 2.5rem;
            line-height: 2.5rem;
            color: #f1f1f1;
            & strong {
                margin-right: 5px;
                font-family: "Poppins", sans-serif;
                font-size: 3.5rem;
                line-height: 3.5rem;
                font-weight: 900;
                color: transparent;
                -webkit-text-stroke: 1.2px #f1f1f1;
            }
        }
    }
    &__cta {
        display: block;
        color: #f1f1f1;
        width: fit-content;
        padding: 1.4vw;
        border: 3px solid #f1f1f1;
        font-size: 1.5rem;
    }
    &__bg {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        z-index:-1;
        & path {
            height: 100%;
            width: 100%;
        }
    }
    &.active {
        transform: translateX(0);
        opacity: 1;
    }
}

.contact {
    position: absolute;
    top: 5vh;
    right: 5vh;
    height: 5vh;
    width: 35vh;
    display: flex;
    justify-content: space-around;
    align-items: center;
    &__li {
        height: 100%;
    }
    &__svg {
        height: 100%;
        width: 100%;
    }
    &__ticket {
        color: #D1C6A1;
        font-size: 1.5rem;
        margin-right: 20px;
        text-decoration: underline;
    }
}


@keyframes don {
    from {
        transform: rotate(30deg);
    }
    to {
        transform: rotate(-30deg);
    }
}
.main {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: flex-end;
}
.herobanner {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    height: 100vh;
    width: 100%;
    background: url("./assets/herobanner.jpg");
    background-size: cover;
    background-position: bottom;
    color: #f1f1f1;
    &__title {
        padding-left: 20vw;
        font-family: "Fantome", sans-serif;
        font-size: 5rem;
    }   
    &__text {
        opacity: .8;
        font-size: 1.5rem;
        line-height: 1.5rem;
        padding-left: 21vw;
    } 
    &__arrow {
        height: 1rem;
    }
}

#explore {
    height: 100vh;
    width: 92vw;
    display: grid;
    grid-template-columns: 60% 40%;
    grid-template-rows: 20% 80%;
    color: #f1f1f1;
    place-items: center;
    & .title {
        place-self: center start;
        grid-area: 1 / 1 / 2 / 2 ;
        &__sub {
            width: 100%;
            display: flex;
            align-items: center;
            &__text {
                opacity: .8;
                white-space: nowrap;
                font-weight: 200;
            }
            &__bar {
                margin: 2px 0 0 5px;
                width: stretch;
                height: 1.5px;
                opacity: .6;
                background: #f1f1f1;
            }
        }
        &__main {
            font-family: "Fantome", sans-serif;
            font-size: 4rem;
        }
    }
    & .desc {
        place-self: center start;
        grid-area: 2 / 2 / 3 / 3;
        width: 80%;
        &__title {
            font-size: 2.5rem;
        }
        &__text {
            font-size: 1.2rem;
            font-weight: 300;
        }
    }
    & .slideshow1 {
        grid-area: 2 / 1 / 3 / 2;
        width: 75%;
        &__image {
            position: absolute;
            left: 0;
            top: 0;
            height: 100%;
            width: 100%;
            background-position: center;
            background-size: cover;
            filter: rgba(22,20,51,.2);
            &-container {
                aspect-ratio: 4/3;
                width: 100%;
                position: relative;
            }
            &.in {
                animation: inImage .4s ease forwards;
            }
            &.out {
                animation: outImage .4s ease forwards;
            }
        }   
        
        &__logic {
            height: 10vh;
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: space-between;
            &__state {
                height: 40%;
                width: 40%;
                display: flex;
                justify-content: space-between;
            }
            & .a_li {
                height: 100%;
                aspect-ratio: 1;
                border-radius: 50%;
                background: #4E4954;
                position: relative;
                transition: background .3s 0s ease;
                &.active {
                    background: #D1C6A1;
                    transition: background .2s .2s ease;
                }
            }
            & .li2,.li3 {
                &::before {
                    content: "";
                    position: absolute;
                    top: 50%;
                    right: 100%;
                    height: 3px;
                    width: var(--width);
                    background: #4E4954;
                    transform: translateY(-50%);
                    opacity: inherit;
                }
                &::after {
                    content: "";
                    position: absolute;
                    top: 50%;
                    right: 100%;
                    height: 3px;
                    width: var(--width);
                    opacity: inherit;
                    background: #D1C6A1;
                    transform: scaleX(0) translateY(-50%);
                    transform-origin: left;
                    transition: transform .2s .1s linear;
                }
                &.active::after {
                    transform: scaleX(1) translateY(-50%);
                    transition: transform .3s 0s linear;    
                }
            }   
        }
        &__arrow {
            height: 100%;
            width: 20%;
            display: flex;
            justify-content: flex-end;
            align-items: center;
        }
        & .left1, .right1 {
            height: 80%;
            transition: opacity .2s 0s ease;
            &.stop {
                opacity: .3;
                transition: opacity .2s .2s ease;
            }
        }
        
        & .right1 {
            transform: rotate(180deg);
            margin-left: 10px;
        }
    }
}
#encounter {
    height: 100vh;
    width: 92vw;
    display: grid;
    grid-template-columns: 40% 60%;
    grid-template-rows: 15% 20% 25% 25% 15%;
    color: #f1f1f1;
    place-items: center;
    & .title {
        place-self: center start;
        grid-area: 2 / 1 / 3 / 2 ;
        &__sub {
            width: 100%;
            display: flex;
            align-items: center;
            &__text {
                opacity: .8;
                white-space: nowrap;
                font-weight: 200;
            }
            &__bar {
                margin: 2px 5px 0 0;
                width: stretch;
                height: 1.5px;
                opacity: .6;
                background: #f1f1f1;
            }
        }
        &__main {
            font-family: "Fantome", sans-serif;
            font-size: 4rem;
        }
    }
    .desc {
        place-self: center start;
        grid-area: 3 / 1 / 4 / 2;
        width: 80%;
        margin-left: 30px;
        &__title {
            font-size: 2.5rem;
        }
        &__text {
            font-size: 1.5rem;
            font-weight: 300;
            margin: 0 0 0 30px;
        }
    }
    .selector {
        grid-area: 4 / 1 / 5 / 2;
        height: 100%;
        width: 100%;
        display: flex;
        justify-content: space-around;
        align-items: flex-end;
        &__choice {
            position: relative;
            width: 100px;
            border: #F1F1F1 3px solid;
            border-radius: 50%;
            aspect-ratio: 1;
            &.active {
                background: #F1F1F1;
            }
            &__thumbnail {
                position: absolute;
                height: 100%;
                aspect-ratio: 4/2;
                background-position: center;
                background-size: contain;
                background-repeat: no-repeat; 
                z-index: 10;   
                &.t1 {
                    left: -59px;
                    top: 5px;
                }
                &.t2 {
                    left: -55px;
                    top: 0px;
                    height: 90%;
                }
                &.t3 {
                    left: -63px;
                    top: -5px;
                    height: 130%;
                }
            }
            &__name {
                font-family: "Eunomia", sans-serif;
                font-size: 2rem;
                position: absolute;
                top: 110%;
                left: 50%;
                transform: translateX(-50%);
            }
        }
    }
    & .display {
        grid-area: 2 / 2 / 3 / 3;
        height: 100%;
        width: 100%;
        position: relative;
        display: grid;
        place-items: end center;
        &__shark {
            position: absolute;
            top: 100px;
            left: calc(-80px + 10vw);
            height: calc(200px + 5vw);
            aspect-ratio: 4/2;
            background-position: center;
            background-size: contain;
            background-repeat: no-repeat;
            display: none;
            &.active {
                display: block;
            }
        }
        & img {
            height: 80%;
        }
    }
}

#underwater {
    padding-top: 5vh;
    height: 100vh;
    width: 92vw;
    display: grid;
    grid-template-columns: 60% 40%;
    grid-template-rows: 20% 80%;
    color: #f1f1f1;
    place-items: center;
    & .title {
        place-self: center start;
        grid-area: 1 / 1 / 2 / 2 ;
        &__sub {
            width: 100%;
            display: flex;
            align-items: center;
            &__text {
                opacity: .8;
                white-space: nowrap;
                font-weight: 200;
            }
            &__bar {
                margin: 2px 0 0 5px;
                width: stretch;
                height: 1.5px;
                opacity: .6;
                background: #f1f1f1;
            }
        }
        &__main {
            font-family: "Fantome", sans-serif;
            font-size: 4rem;
        }
    }
    & .desc {
        place-self: center start;
        grid-area: 2 / 2 / 3 / 3;
        width: 80%;
        &__title {
            font-size: 2.5rem;
        }
        &__text {
            font-size: 1.2rem;
            font-weight: 300;
        }
    }
    & .slideshow2 {
        grid-area: 2 / 1 / 3 / 2;
        width: 75%;
        &__image {
            position: absolute;
            left: 0;
            top: 0;
            height: 100%;
            width: 100%;
            background-position: center;
            background-size: cover;
            filter: rgba(22,20,51,.2);
            &-container {
                aspect-ratio: 4/3;
                width: 100%;
                position: relative;
            }
            &.in {
                animation: inImage .4s ease forwards;
            }
            &.out {
                animation: outImage .4s ease forwards;
            }
        }   
        
        &__logic {
            height: 10vh;
            width: 100%;
            display: flex;
            align-items: center;
            justify-content: space-between;
            &__state {
                height: 40%;
                width: 40%;
                display: flex;
                justify-content: space-between;
            }
            & .b_li {
                height: 100%;
                aspect-ratio: 1;
                border-radius: 50%;
                background: #4E4954;
                position: relative;
                transition: background .3s 0s ease;
                &.active {
                    background: #D1C6A1;
                    transition: background .2s .2s ease;
                }
            }
            & .li2,.li3 {
                &::before {
                    content: "";
                    position: absolute;
                    top: 50%;
                    right: 100%;
                    height: 3px;
                    width: var(--width);
                    background: #4E4954;
                    transform: translateY(-50%);
                    opacity: inherit;
                }
                &::after {
                    content: "";
                    position: absolute;
                    top: 50%;
                    right: 100%;
                    height: 3px;
                    width: var(--width);
                    opacity: inherit;
                    background: #D1C6A1;
                    transform: scaleX(0) translateY(-50%);
                    transform-origin: left;
                    transition: transform .2s .1s linear;
                }
                &.active::after {
                    transform: scaleX(1) translateY(-50%);
                    transition: transform .3s 0s linear;    
                }
            }   
        }
        &__arrow {
            height: 100%;
            width: 20%;
            display: flex;
            justify-content: flex-end;
            align-items: center;
        }
        & .left2, .right2 {
            height: 80%;
            transition: opacity .2s 0s ease;
            &.stop {
                opacity: .3;
                transition: opacity .2s .2s ease;
            }
        }
        
        & .right2 {
            transform: rotate(180deg);
            margin-left: 10px;
        }
    }
}

footer {
    height: 25vh;
    display: grid;
    grid-template-columns: 40% 20% 40%;
    place-items: center;
    & .left {
        grid-column: 1 / 2;
        place-content: start center;
        color: #f1f1f1;
        font-weight: 200;
    }
    & img {
        grid-column: 2 / 3;
        height: 60px;
    }
    & .right {
        display: flex;
        height: 15%;
        aspect-ratio: 4/1;
        justify-content: space-between;
        place-items: end center;
        &__svg {
            height: 100%;
        }
    }
}



@keyframes inImage {
    from {
        transform: translateY(10%);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }    
}

@keyframes outImage {
    from {
        transform: translateY(0%);
        opacity:1;
    }
    to {
        transform: translateY(-10%);
        opacity:0;
    }    
}    